curl --request POST \
--url https://api.getcargo.io/v1/orchestration/spans/count \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"executionStartedAfter": "<string>",
"workflowUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"batchUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recordId": "<string>",
"recordTitle": "<string>",
"recordTitleOrId": "<string>",
"parentRunUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentNodeUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentAgentUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nodeUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nodeSlug": "<string>",
"nodeIntegrationSlug": "<string>",
"nodeConnectorUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nodeActionSlug": "<string>",
"nodeToolUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nodeAgentUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nodeReleaseUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"executionTitle": "<string>",
"executionStatuses": [],
"executionStartedBefore": "<string>"
}
'import requests
url = "https://api.getcargo.io/v1/orchestration/spans/count"
payload = {
"executionStartedAfter": "<string>",
"workflowUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"batchUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recordId": "<string>",
"recordTitle": "<string>",
"recordTitleOrId": "<string>",
"parentRunUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentNodeUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentAgentUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nodeUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nodeSlug": "<string>",
"nodeIntegrationSlug": "<string>",
"nodeConnectorUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nodeActionSlug": "<string>",
"nodeToolUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nodeAgentUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nodeReleaseUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"executionTitle": "<string>",
"executionStatuses": [],
"executionStartedBefore": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
executionStartedAfter: '<string>',
workflowUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
userUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
batchUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
runUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
recordId: '<string>',
recordTitle: '<string>',
recordTitleOrId: '<string>',
parentRunUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
parentNodeUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
parentAgentUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
nodeUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
nodeSlug: '<string>',
nodeIntegrationSlug: '<string>',
nodeConnectorUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
nodeActionSlug: '<string>',
nodeToolUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
nodeAgentUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
nodeReleaseUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
executionTitle: '<string>',
executionStatuses: [],
executionStartedBefore: '<string>'
})
};
fetch('https://api.getcargo.io/v1/orchestration/spans/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123
}Count spans
Count orchestration execution spans
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Request body schema.
Include spans whose execution started after this timestamp (ISO string). Required.
When set, restrict spans to this workflow. Omit to search across workflows in the workspace.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$User identifier to filter by.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Batch identifier to filter by.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Run identifier to filter by.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Record ID to filter by.
Record title to filter by (SQL ilike).
Match record id or record title (each SQL ilike); same pattern as run list.
Parent run identifier to filter by.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Filter by parent node UUID on the run.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$When set, restrict spans to rows whose parent agent matches this UUID.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Node identifier to filter by.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Filter by node kind (native, connector, tool, agent).
native, connector, tool, agent Filter by workflow node slug (exact match).
Filter by connector integration slug (exact match).
Filter by connector UUID.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Filter by node action slug (exact match).
Filter by tool node UUID.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Filter by agent node UUID.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Filter by release UUID referenced on the node.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Filter by execution title (SQL ilike).
Execution statuses to include.
pending, success, error Include spans whose execution started on or before this timestamp (ISO string).
Response
Successful response
Number of spans matching the filter.
Was this page helpful?

